// pages/apply/index.js
import * as UTIL from '../../utils/util.js';
import * as API from '../../utils/API.js';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isIPX: app.globalData.isIPX,
    show:false,
    accountList:[],
    bookName:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
   //跳转支出申请
swichPaymentApply:function(e){
  console.log(e.currentTarget.dataset.current);
  // let cur = e.currentTarget.dataset.current;
  // if (this.data.currentTaB == cur) {
  // return false;
  // }else{
  //   wx.navigateTo({
  //     url: '../inCome/index?id=' + id,
  //     })
  // }
  wx.navigateTo({
    url: '/pages/apply/paymentTemplate/add/add',
    })
  },
  openBox:function(){
    var that = this ;
    that.setData({
      show: true,
    })
  },
  closeBox:function(){
    var that = this ;
    that.setData({
      show: false,
    })
  },
  goTemplate:function(e){
    wx.navigateTo({
      url: 'paymentTemplate/paymentTemplate?id='+e.currentTarget.dataset.id
    })
  },

  back:function(){
    wx.navigateBack({
      delta: 1
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    var that = this;
    var sendData = {
      pageNum:'1',
      pageSize:'100',
      accountName:'',
      bankAccountNumber:'',
      status:'N',
      method:'GET'
    }
    UTIL.httpRequest(API.URL_GET_GETINFO, {method:'GET'}, {
      success: (res) => {
        if (res.code == API.SUCCESS_CODE) {
          this.setData({bookName:res.user.bookName})
        }
      }
    })
    UTIL.httpRequest(API.URL_GET_APPROVALITEMSLIST, {method:'GET',dataType:'1'}, {
      success: (res) => {
        if (res.code == API.SUCCESS_CODE) {
          that.setData({
            approvalItemsOptions : res.rows
          })
        }
      }
    })
    UTIL.httpRequest(API.URL_GET_ACCOUNTLIST, sendData,{
      success: (res) => {
        for (let i = 0; i < res.rows.length; i++) {
          if(res.rows[i].bankAccountNumber==null){continue;}
          res.rows[i].bankAccountNumber = res.rows[i].bankAccountNumber.replace(/(\d{4})(?=\d)/g, "$1 ")
        }
        console.log(res.rows)
        that.setData({
          accountList:res.rows
        })
      }
    })
  },
  delete(e){
    console.log(e);
    UTIL.httpRequest(API.URL_GET_REMOVEAPPROVAL + e.currentTarget.dataset.id, {method:'GET'},{
      success: (res) => {
        UTIL.showToastNoneIcon('删除成功！');
      }
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})