let EVN_CONFIG = require('../env/env');
// const DISTRIBUTE_ENVIROMENT = 'PROD';
const DISTRIBUTE_ENVIROMENT = 'DEV';

let {
    URL_PREFIX,
} = EVN_CONFIG[DISTRIBUTE_ENVIROMENT];
//用户登录页面，接口检测用户token失效，需跳转重新登录
const USER_LOGIN_PAGE_PATH='/pages/user/login/login';
//接口成功
const SUCCESS_CODE = 200;
//微信登陆失效
const INVALID_USER_TOKEN_CODE = '001007';


/****************接口提示信息start ****************/
const MSG_FAIL_HTTP = '获取数据失败 fail';
const MSG_ERROR_HTTP = '获取数据失败 error';
const MSG_FALSE_HTTP = '获取数据失败 false';
const MSG_NONE_HTTP = '暂无数据';

const MSG_FALSE_TO = '提交失败，请重试';
const MSG_ERROR_TO = '提交异常，请重试';
const MSG_INVALID_USER_TOKEN='登陆信息失效，请重新登陆';
/****************接口提示信息end****************

/****************接口地址start****************/
//获取openId
const URL_GET_OPENID=`${URL_PREFIX}/wechat/codeLogin`;
// 获取手机号解密接口
const URL_POST_DECRYPTEDWXDATA = `${URL_PREFIX}/wechat/decryptedWXData`;
// 微信绑定手机号
const URL_POST_USERBAND = `${URL_PREFIX}/register/wechat/band`;
//获取用户信息
const URL_GET_GETINFO = `${URL_PREFIX}/getInfo`;
//获取待办
const URL_GET_TASKLIST = `${URL_PREFIX}/activiti/process/taskList`;
//获取已办
const URL_GET_TASKDONELIST = `${URL_PREFIX}/activiti/process/taskDoneList`;
//获取已发起、已制单
const URL_GET_TRANSFERLIST = `${URL_PREFIX}/yinnong/transfer/list`;
// 修改密码
const URL_POST_UPDATEPWD = `${URL_PREFIX}/system/user/profile/updatePwd`;
// 上传图片
const URL_POST_UPLOADFILE = `${URL_PREFIX}/system/user/profile/electronicSignature`;
// 保存电子签名
const URL_POST_USEREDIT = `${URL_PREFIX}/system/user/edit`;
//当前账套付款账户列表
const URL_GET_ACCOUNTLIST = `${URL_PREFIX}/cashier/account/list`;
//查看事项审批模板列表
const URL_GET_APPROVALITEMSLIST = `${URL_PREFIX}/yinnong/approvalItems/list`;
//获取区、镇、村地区
const URL_GET_TREESELECTBYUSER = `${URL_PREFIX}/system/dept/treeselectByUser`;
//获取账套列表
const URL_GET_BOOKLISTBYDEPTID = `${URL_PREFIX}/finance/book/listByDeptId`;
//切换部门
const URL_GET_CHANGEDEPT = `${URL_PREFIX}/system/user/changeDept`;
//切换账套
const URL_GET_CHANGEBOOK = `${URL_PREFIX}/system/user/changeBook`;
//字典查询
const URL_GET_GETDICTTYPE = `${URL_PREFIX}/system/dict/data/type/`;

//项目工程列表
const URL_GET_GETPROJECTLIST = `${URL_PREFIX}/yinnong/project/list`;

//获取合同信息列表
const URL_GET_CONTRACTIONLIST = `${URL_PREFIX}/contraction/info/list`;

//查询收款账号列表
const URL_GET_SELECTLIST = `${URL_PREFIX}/yinnong/payee/selectlist`;

//查询收款账号列表2
const URL_GET_PAYEESELECTLIST = `${URL_PREFIX}/yinnong/payee/list`;

//当前账套付款账户列表
const URL_GET_SELECTACCOUNTLIST = `${URL_PREFIX}/cashier/account/accountList`;
//查询审批流模板列表
const URL_GET_TEMPLATELIST = `${URL_PREFIX}/service/template/list`;

//查询审批流模板列表
const URL_GET_TEMPLATEDETAIL = `${URL_PREFIX}/service/templateDetail/list`;
//根据系统组织机构id查询所在乡镇
const URL_GET_TOWNINFOBYDEPTID = `${URL_PREFIX}/system/dept/getTownInfoByDeptId/`;
//根据条件查询用户信息
const URL_GET_USERLIST = `${URL_PREFIX}/system/user/list`;
//新增模板
const URL_POST_MOBILEADD = `${URL_PREFIX}/service/template/mobileAdd`;
//删除模板
const URL_GET_MOBILEREMOVE = `${URL_PREFIX}/service/template/remove/`;
//通过审批事项id查询审批事项
const URL_GET_APPROVALITEMSBYID = `${URL_PREFIX}/yinnong/approvalItems/get/`;
//审批流id保存到事项审批
const URL_POST_APPROVALITEMSEDIT = `${URL_PREFIX}/yinnong/approvalItems/edit`;
//修改审批流数据
const URL_POST_TEMPLATEEDIT = `${URL_PREFIX}/service/templateDetail/editBatch`;
//审核事项申请
const URL_POST_APPROVALITEMSSUBMIT = `${URL_PREFIX}/yinnong/approvalItems/approvalItemsSubmit/`;
//汇票列表
const URL_GET_MONEYORDERLIST = `${URL_PREFIX}/yinnong/moneyorder/list`;

//通过所属银行查询开户行信息
const URL_GET_DEPOSITLIST = `${URL_PREFIX}/yinnong/deposit/list`;

//新增收款方账户
const URL_GET_PAYEEADD = `${URL_PREFIX}/yinnong/payee/add`;

//增加支出申请/模板
const URL_GET_SAVE = `${URL_PREFIX}/yinnong/approvalItems/save`;

//附件上传
const URL_GET_UPLOAD = `${URL_PREFIX}/common/attach`;

//获取当前用户的审批事项信息
const URL_GET_USERAPPRO = `${URL_PREFIX}/yinnong/approvalItems/getUserApprovalItems`;

//查看附件列表
const URL_GET_FINDLIST = `${URL_PREFIX}/system/attachment/find`;

//查看附件列表
const URL_GET_APPROVALITEMS = `${URL_PREFIX}/yinnong/approvalItems/getApprovalItem/`;

//通过审批事项id删除审批模板
const URL_GET_REMOVEAPPROVAL = `${URL_PREFIX}/yinnong/approvalItems/remove/`;


/****************接口地址end****************/

export {
    USER_LOGIN_PAGE_PATH,
    SUCCESS_CODE,
    INVALID_USER_TOKEN_CODE,
    MSG_FAIL_HTTP,
    MSG_ERROR_HTTP,
    MSG_FALSE_HTTP,
    MSG_NONE_HTTP,
    MSG_FALSE_TO,
    MSG_ERROR_TO,
    MSG_INVALID_USER_TOKEN,
    URL_GET_OPENID,
    URL_POST_DECRYPTEDWXDATA,
    URL_POST_USERBAND,
    URL_GET_GETINFO,
    URL_GET_TASKLIST,
    URL_GET_TASKDONELIST,
    URL_GET_TRANSFERLIST,
    URL_POST_UPDATEPWD,
    URL_POST_UPLOADFILE,
    URL_POST_USEREDIT,
    URL_GET_ACCOUNTLIST,
    URL_GET_APPROVALITEMSLIST,
    URL_GET_TREESELECTBYUSER,
    URL_GET_BOOKLISTBYDEPTID,
    URL_GET_CHANGEBOOK,
    URL_GET_CHANGEDEPT,
    URL_GET_GETDICTTYPE,
    URL_GET_GETPROJECTLIST,
    URL_GET_CONTRACTIONLIST,
    URL_GET_SELECTLIST,
    URL_GET_SELECTACCOUNTLIST,
    URL_GET_TEMPLATELIST,
    URL_GET_TEMPLATEDETAIL,
    URL_GET_TOWNINFOBYDEPTID,
    URL_GET_USERLIST,
    URL_POST_MOBILEADD,
    URL_GET_MOBILEREMOVE,
    URL_GET_APPROVALITEMSBYID,
    URL_POST_APPROVALITEMSEDIT,
    URL_POST_TEMPLATEEDIT,
    URL_POST_APPROVALITEMSSUBMIT,
    URL_GET_MONEYORDERLIST,
    URL_GET_PAYEESELECTLIST,
    URL_GET_DEPOSITLIST,
    URL_GET_PAYEEADD,
    URL_GET_SAVE,
    URL_GET_UPLOAD,
    URL_GET_USERAPPRO,
    URL_GET_FINDLIST,
    URL_GET_APPROVALITEMS,
    URL_GET_REMOVEAPPROVAL
}